import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
    },
    {
      path: '/workflow/:id',
      name: 'workflow',
      // Lazy-loaded when the route is visited.
      component: () => import('../views/WorkflowView.vue'),
      props: true,
    },
    {
      path: '/runs',
      name: 'runs',
      // Lazy-loaded when the route is visited.
      component: () => import('../views/RunsView.vue'),
      props: true,
    },
  ],
})

export default router
